aboutsummaryrefslogtreecommitdiffstats
path: root/main/logrotate/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-11 14:46:28 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-11 14:47:20 +0200
commit85f6097bdb3385105d5b9a5fcc707a74eab43ee3 (patch)
treefaa797721abda89ce37160b67992eaa12d42d42a /main/logrotate/APKBUILD
parent0ef6f1b2e727088dfbb76b83c0ef0d4dd800129d (diff)
downloadaports-85f6097bdb3385105d5b9a5fcc707a74eab43ee3.tar.bz2
aports-85f6097bdb3385105d5b9a5fcc707a74eab43ee3.tar.xz
main/logrotate: upgrade to 3.10.0
Diffstat (limited to 'main/logrotate/APKBUILD')
-rw-r--r--main/logrotate/APKBUILD30
1 files changed, 18 insertions, 12 deletions
diff --git a/main/logrotate/APKBUILD b/main/logrotate/APKBUILD
index 60ae39c16f..84ced539cb 100644
--- a/main/logrotate/APKBUILD
+++ b/main/logrotate/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=logrotate
-pkgver=3.9.2
+pkgver=3.10.0
pkgrel=0
pkgdesc="Tool to rotate logfiles"
url="https://github.com/logrotate/logrotate"
@@ -13,16 +13,19 @@ subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/${pkgver}.tar.gz
logrotate.cron
logrotate.conf
- logrotate.confd"
+ logrotate.confd
+ no-werror.patch"
+
+builddir="$srcdir"/$pkgname-$pkgver
-_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
+ cd "$builddir"
+ default_prepare || return 1
./autogen.sh || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -34,7 +37,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
install -d "$pkgdir"/etc/logrotate.d
install -Dm755 logrotate "$pkgdir"/usr/sbin/logrotate
install -Dm644 logrotate.8 "$pkgdir"/usr/share/man/man8/logrotate.8
@@ -44,15 +47,18 @@ package() {
install -Dm644 "$srcdir"/logrotate.confd \
"$pkgdir"/etc/conf.d/logrotate
}
-md5sums="584bca013dcceeb23b06b27d6d0342fb logrotate-3.9.2.tar.gz
+md5sums="3995acb2791a8dfd81b5ffc0046d0e71 logrotate-3.10.0.tar.gz
7e9fad2c9b382a2370c11ef0c89f61c7 logrotate.cron
f86dfc4c8aa6f0a34c87d17bfba95f6e logrotate.conf
-e7e4b67d5c4bda49ff3c041834180c1e logrotate.confd"
-sha256sums="2de00c65e23fa9d7909cae6594e550b9abe9a7eb1553669ddeaca92d30f97009 logrotate-3.9.2.tar.gz
+e7e4b67d5c4bda49ff3c041834180c1e logrotate.confd
+c36ad983bcf86b2b57532ecf3195ceb5 no-werror.patch"
+sha256sums="db63b5932190cba941357c029b595a7fddf43539943aa1e0ca53a96136e4c5d9 logrotate-3.10.0.tar.gz
ccbcf1785c754ce07a55b81223ae5b0c2caec1ccf9cdf865debb140052f9b363 logrotate.cron
1dd222e9ce65f15c161c535d5422793e39641410200fd51462152fcca4c87e07 logrotate.conf
-814bea9082cfa3a9446e25f4f4fe4fe205130cea6ba15dc8286409c3d01a3973 logrotate.confd"
-sha512sums="62c84a98ec3373562a5c0ab0abd68e33620787cbbafbcf442cb5c7bdc1a41a7f673ee5dabc5f905ad4dd3fffebcbee0dab2ea8698f20de04cc13950212aaab33 logrotate-3.9.2.tar.gz
+814bea9082cfa3a9446e25f4f4fe4fe205130cea6ba15dc8286409c3d01a3973 logrotate.confd
+05e20f52d25cedc9310afbb582a10d780ff3f49e434be5bd1ebdc550e9111a96 no-werror.patch"
+sha512sums="87f9e97be40c96fd1b7500b089713e6c19366e6522e3bd135fb72780b423d9529a287ebdb0e3fd6a6f605770eb158795e54859f2361589365dea8c70c687cf48 logrotate-3.10.0.tar.gz
f4d708594fb2b240cfc2928f38a180d27c2cecb9867e048dc29a32c0147244db4d2f6d92e7bff27e1f2623537587db87b2f8fc9bb988f98eff0c98f79f5a5bf2 logrotate.cron
9e6a1d024b1cf1ddb8b631fdc1379bfecbfeb1af873930d2a19d32313b26881926df5c21b47b55ada2b6012be981ec2d6d8fa2f249a68b61fd2c97c32f52a957 logrotate.conf
-be9f0043b594d26b4f64e07a2188d19c3c43af75ef726305e4d98f744fc16cee9f280227116858e2f5b781c0a7b58e0209d7e9ab1285dfa7ba55a9dfda700229 logrotate.confd"
+be9f0043b594d26b4f64e07a2188d19c3c43af75ef726305e4d98f744fc16cee9f280227116858e2f5b781c0a7b58e0209d7e9ab1285dfa7ba55a9dfda700229 logrotate.confd
+90a2804f6c608bff8427a3e314f863bbf40e356599ee761c3c11b27b280a972a6f9de834ae9b6a94b2b15de5ae1a196eb0f818c21b53c901b5bdc8880f800229 no-werror.patch"